package com.gh.gamecenter.entity

import com.gh.gamecenter.common.entity.Display
import com.gh.gamecenter.common.entity.LinkEntity
import com.google.gson.annotations.SerializedName

data class HomeRecommend(
    @SerializedName("link_type")
    val linkType: String = "",
    @SerializedName("link_id")
    val linkId: String = "",
    @SerializedName("link_text")
    val linkText: String = "",
    val icon: String = "",
    val name: String = "",
    val display: Display = Display()
) {

    fun transformLinkEntity(): LinkEntity {
        return LinkEntity(
            name = name,
            type = linkType,
            display = display,
            link = linkId,
            text = linkText
        )
    }
}